/* BODY */
body {
    height: 100vh;
    overflow: hidden;
    background: transparent;
    color: #fff;
}

/* BACKGROUND IMAGE */
.bg-image {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;

    background-image: url("bg.jpeg");
    background-size: contain;
    background-position: center;
    background-color:#000;
    background-repeat: no-repeat;

    filter: brightness(0.4);
    z-index: 0;
}
.bg-image.load {
    opacity: 1;
    transform: scale(1);
}

/* MAIN LAYOUT */
.app {
    display: flex;
    height: 100vh;
    position: relative;
    z-index: 2;
}

/* SIDEBAR */
.sidebar {
    width: 260px;
    height: 100vh;
    padding: 30px 20px;
    overflow-y: auto;

    background: rgba(0, 0, 0, 0.55);
    backdrop-filter: blur(6px);

    border-right: 1px solid rgba(255,255,255,0.15);
}

/* PROFILE */
.sidebar-profile {
    text-align: center;
    margin-bottom: 30px;
}

.sidebar-profile img {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    object-fit: cover;
    margin-bottom: 15px;
    border: 2px solid rgba(255,255,255,0.6);
}

.sidebar-profile h3 {
    font-size: 18px;
    font-weight: 600;
    color: #fff;
}

/* MENU */
.sidebar-menu a {
    display: block;
    padding: 12px 0;
    color: #ddd;
    text-decoration: none;
    font-size: 15px;
    transition: color 0.3s ease;
}

.sidebar-menu a:hover {
    color: #fff;
}

/* FOOTER */
.sidebar-footer {
    margin-top: 40px;
    text-align: center;
    font-size: 14px;
    color: #ccc;
}

.lang-switch {
    margin-bottom: 15px;
}

.lang-switch span {
    cursor: pointer;
    margin: 0 4px;
}

.lang-switch .active {
    color: #fff;
    font-weight: bold;
}

/* SOCIAL */
.social i {
    margin: 0 8px;
    font-size: 18px;
    cursor: pointer;
    color: #ddd;
}

.social i:hover {
    color: #fff;
}

/* CONTENT */
.content {
    flex: 1;
    height: 100vh;
    overflow-y: auto;
    padding: 80px;
    background: transparent;
}

/* SECTIONS */
.section {
    min-height: 100vh;
    margin-bottom: 80px;

    opacity: 0;
    transform: translateY(40px);
    transition: opacity 0.8s ease, transform 0.8s ease;
}

.section.show {
    opacity: 1;
    transform: translateY(0);
}

/* TEXT */
.section h1 {
    font-size: 64px;
    margin-bottom: 10px;
    color: #fff;
}

.section h2 {
    font-size: 36px;
    margin-bottom: 15px;
    color: #fff;
}

.section p {
    font-size: 18px;
    color: #e0e0e0;
}

/* SCROLLBAR (OPSİYONEL AMA ŞIK) */
.sidebar::-webkit-scrollbar,
.content::-webkit-scrollbar {
    width: 6px;
}

.sidebar::-webkit-scrollbar-thumb,
.content::-webkit-scrollbar-thumb {
    background: rgba(255,255,255,0.3);
    border-radius: 10px;
}
